=== debian/changelog ===
simgear (1:2017.2.1+dfsg-2) unstable; urgency=medium

  * Bump S-V: change priority to optional.
  * Really drop the patch use_debian_udns.patch.
  * Extend the spelling fixes patch.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 07 Aug 2017 23:23:13 +0200

simgear (1:2017.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed patches kfreebsd.patch, no_3rdparty.patch and
    disable_force_shared.patch.
  * Remove patch relax_version_check.patch, it's included upstream.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 16 Jul 2017 20:02:08 +0200
