## simgear 2017.3.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -249,8 +249,8 @@
     # declaring symbols as declspec(import)
     add_definitions(-DHAVE_EXPAT_CONFIG_H -DXML_STATIC)
     set(EXPAT_INCLUDE_DIRS
-	    ${PROJECT_SOURCE_DIR}/3rdparty/expat
-	    ${PROJECT_BINARY_DIR}/3rdparty/expat)
+            ${PROJECT_SOURCE_DIR}/3rdparty/expat
+            ${PROJECT_BINARY_DIR}/3rdparty/expat)
 endif(SYSTEM_EXPAT)
 
 check_include_file(inttypes.h HAVE_INTTYPES_H)
@@ -264,9 +264,17 @@
 endif()
 
 if(ENABLE_RTI)
-    # See if we have any rti library variant installed
-    message(STATUS "RTI: ENABLED")
-    find_package(RTI)
+    find_package(PkgConfig)
+    if(PKG_CONFIG_FOUND)
+      SET(ENV{PKG_CONFIG_PATH} "${CMAKE_INSTALL_PREFIX}/lib/pkgconfig:$ENV{PKG_CONFIG_PATH}")
+      pkg_check_modules(RTI hla-rti13)
+    endif(PKG_CONFIG_FOUND)
+    if(RTI_FOUND)
+      SET(RTI_INCLUDE_DIR "${RTI_INCLUDE_DIRS}")
+      message(STATUS "RTI: ENABLED")
+    else()
+      message(STATUS "RTI: DISABLED")
+    endif(RTI_FOUND)
 else()
     message(STATUS "RTI: DISABLED")
 endif(ENABLE_RTI)
@@ -274,7 +282,7 @@
 if(ENABLE_GDAL)
     find_package(GDAL 2.0.0 REQUIRED)
     if (GDAL_FOUND)
-	include_directories(${GDAL_INCLUDE_DIR})
+        include_directories(${GDAL_INCLUDE_DIR})
     endif(GDAL_FOUND)
 endif(ENABLE_GDAL)
 
@@ -305,19 +313,3 @@
 endif(HAVE_UNISTD_H)
 
 set(RT_LIBRARY "")
-if(HAVE_CLOCK_GETTIME)
-    check_library_exists(rt clock_gettime "" HAVE_RT)
-    if(HAVE_RT)
-        set(RT_LIBRARY rt)
-    endif(HAVE_RT)
-endif(HAVE_CLOCK_GETTIME)
-
-set(DL_LIBRARY "")
-check_cxx_source_compiles(
-    "#include <dlfcn.h>
-    int main(void) {
-        return 0;
-    }
-    "
-    HAVE_DLFCN_H)
-
