=== debian/changelog ===
simgear (1:2017.3.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Use wrap-and-sort for d/control
  * Use debhelper v11
  * Update d/copyright
  * Update Standards-Version to 4.1.3, no changes needed
  * Remove unneeded Build-Depends: freeglut3-dev, libcurl-dev,
    libgl-dev, libglu-dev, libalut-dev, libice-dev, libjpeg-dev,
    libsm-dev, libx11-dev, libxext-dev, libxi-dev, libxmu-dev, libxt-dev
  * Remove outdated versioned Build-Depends on cmake
  * Revert back to libopenscenegraph 3.2 on armel and armhf.
    The libopenscenegraph-3.4 version results in FTBFS errors
    on those two architectures.
  * Remove patch use_debian_udns, has been included upstream since
    version 2016.3.1
  * Fix two typos in patch descriptions
  * Switch Vcs-URLs to salsa.d.o

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 13 Mar 2018 11:24:51 +0100

simgear (1:2017.3.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Use libopenscenegraph 3.4 instead of 3.2

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 22 Oct 2017 20:32:53 +0200

simgear (1:2017.3.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2017.3.1+dfsg
    - Refresh patches
    - Add description for spelling_fixes.patch
  * Update Standards-Version to 4.1.1
    - Use Priority: optional
    - Use HTTPS URL for d/copyright
  * Use debhelper v10
  * Debhelper uses --parallel by default in v10
  * Update URLs for Vcs-* fields
  * Add Multi-Arch: same

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 14 Oct 2017 15:42:53 +0200
