=== debian/control ===
Source: simgear
Section: libs
Priority: optional
Maintainer: Debian FlightGear Crew <pkg-fgfs-crew@lists.alioth.debian.org>
Uploaders: Ove Kaaven <ovek@arcticnet.no>, Markus Wanner <markus@bluegap.ch>
Build-Depends: cmake,
               debhelper (>= 11~),
               libboost-dev,
               libcurl4-gnutls-dev,
               libexpat1-dev,
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libopenal-dev,
               libopenscenegraph-3.4-dev [!armel !armhf],
               libopenscenegraph-dev (>= 3.2.0~) [armel armhf],
               libudns-dev,
               libutfcpp-dev,
               zlib1g-dev
Standards-Version: 4.1.3
Homepage: http://www.simgear.org/
Vcs-Browser: https://salsa.debian.org/debian/simgear
Vcs-Git: https://salsa.debian.org/debian/simgear.git

Package: libsimgear-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libc6-dev,
         libopenscenegraph-3.4-dev [!armel !armhf],
         libopenscenegraph-dev [armel armhf],
         ${misc:Depends}
Replaces: simgear-dev (<< 2.10.0~)
Breaks: simgear-dev (<< 2.10.0~)
Description: Simulator Construction Gear -- development files
 SimGear is a collection of libraries useful for constructing
 simulation and visualization applications such as FlightGear
 or TerraGear.
 .
 This package contains the headers and static libraries.
