## simgear 2018.1.1~rc+dfsg

=== debian/changelog ===
simgear (1:2018.1.1~rc+dfsg-3) experimental; urgency=medium

  * Team upload.
  * Switch Vcs-URLs to salsa.d.o

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 12 Mar 2018 12:41:46 +0100

simgear (1:2018.1.1~rc+dfsg-2) experimental; urgency=medium

  * Team upload.
  * Remove unneeded Build-Depends: freeglut3-dev, libcurl-dev,
    libgl-dev, libglu-dev, libalut-dev, libice-dev, libjpeg-dev,
    libsm-dev, libx11-dev, libxext-dev, libxi-dev, libxmu-dev, libxt-dev
  * Remove outdated versioned Build-Depends on cmake
  * Revert back to libopenscenegraph 3.2 on armel and armhf.
    The libopenscenegraph-3.4 version results in FTBFS errors
    on those two architectures.
  * Remove patch use_debian_udns, has been included upstream since
    version 2016.3.1
  * Fix two typos in patch descriptions

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 09 Mar 2018 17:41:54 +0100

simgear (1:2018.1.1~rc+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 2018.1.1~rc+dfsg
    - Refresh patches
    - Remove patch correct_http_test, no longer needed
  * Use wrap-and-sort for d/control
  * Use debhelper v11
  * Update d/copyright
  * Update Standards-Version to 4.1.3, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 07 Mar 2018 23:12:51 +0100
