## simgear 2018.1.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,9 @@
    endif()
    if(POLICY CMP0042)
        cmake_policy(SET CMP0042 NEW)
+   endif()
+   if(POLICY CMP0067)
+       cmake_policy(SET CMP0067 NEW)
    endif()
 endif()
 
@@ -49,7 +52,7 @@
 # add a dependency on the versino file
 set_property(DIRECTORY APPEND PROPERTY CMAKE_CONFIGURE_DEPENDS version)
 
-set(FIND_LIBRARY_USE_LIB64_PATHS ON)
+set_property(GLOBAL PROPERTY FIND_LIBRARY_USE_LIB64_PATHS TRUE)
 
 # use simgear version also as the SO version (if building SOs)
 SET(SIMGEAR_SOVERSION ${SIMGEAR_VERSION})
@@ -134,6 +137,16 @@
 # until the fstream fix is applied and generally available in OSG,
 # keep the compatability link option as the default
 option(OSG_FSTREAM_EXPORT_FIXED "Set to ON if the osgDB fstream export patch is applied" OFF)
+
+if (CMAKE_COMPILER_IS_GNUCXX OR CLANG)
+  if (CMAKE_VERSION VERSION_LESS 3.1)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++${CMAKE_CXX_STANDARD}")
+  elseif (CMAKE_VERSION VERSION_LESS 3.8)
+    # policy CMP0067 (try_compile does not honor CMAKE_CXX_STANDARD)
+    set(CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS} -std=c++${CMAKE_CXX_STANDARD}")
+  endif()
+endif()
+
 
 if (MSVC)
   GET_FILENAME_COMPONENT(PARENT_DIR ${PROJECT_BINARY_DIR} PATH)
@@ -295,21 +308,3 @@
 if (NOT MSVC)
   check_function_exists(timegm HAVE_TIMEGM)
   if (NOT HAVE_TIMEGM)
-    message(FATAL_ERROR "Non-Windows platforms must support timegm()")
-  endif()
-endif()
-
-if(HAVE_UNISTD_H)
-    set(CMAKE_REQUIRED_INCLUDES ${CMAKE_INCLUDE_PATH})
-    check_cxx_source_compiles(
-       "#include <unistd.h>
-        #if !defined(_POSIX_TIMERS) || (0 >= _POSIX_TIMERS)
-            #error clock_gettime is not supported
-        #endif
-
-        int main() { return 0; }
-        "
-        HAVE_CLOCK_GETTIME)
-endif(HAVE_UNISTD_H)
-
-set(RT_LIBRARY "")
