=== debian/changelog ===
simgear (1:2018.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.1.1+dfsg
    - Merge all packaging changes from experimental uploads
  * Add myself to Uploaders
  * Update Standards-Version to 4.1.4, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 22 Apr 2018 12:22:17 +0200
