=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: libs
 Priority: optional
 Maintainer: Debian FlightGear Crew <pkg-fgfs-crew@lists.alioth.debian.org>
-Uploaders: Ove Kaaven <ovek@arcticnet.no>, Markus Wanner <markus@bluegap.ch>
+Uploaders: Ove Kaaven <ovek@arcticnet.no>,
+           Markus Wanner <markus@bluegap.ch>,
+           Dr. Tobias Quathamer <toddy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 11~),
                libboost-dev,
@@ -16,7 +18,7 @@
                libudns-dev,
                libutfcpp-dev,
                zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://www.simgear.org/
 Vcs-Browser: https://salsa.debian.org/debian/simgear
 Vcs-Git: https://salsa.debian.org/debian/simgear.git
