=== debian/changelog ===
simgear (1:2018.2.2+dfsg-1~mx17+1) mx; urgency=medium

  * Repackaged fr MX 17.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 09 Nov 2018 17:02:23 -0800

simgear (1:2018.2.2+dfsg-1) unstable; urgency=medium

  [ Markus Wanner ]
  * Add netbase to Build-Depends so that basic name resolution works
    during builds. Closes: #899074.

  [ Dr. Tobias Quathamer ]
  * New upstream version 2018.2.2+dfsg
    - Refresh patches
    - Add new patch to fix failing HTTP test
  * Update Standards-Version to 4.2.0, no changes needed
  * Fix wrong homepage URL. (Closes: #897090)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 22 Aug 2018 09:55:51 +0200

simgear (1:2018.1.1+dfsg-2) unstable; urgency=medium

  * Set maintainer e-mail address to team+flightgear@tracker.d.o

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 06 May 2018 09:51:08 +0200
