=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: simgear
 Section: libs
 Priority: optional
-Maintainer: Debian FlightGear Crew <pkg-fgfs-crew@lists.alioth.debian.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Debian FlightGear Crew <team+flightgear@tracker.debian.org>
 Uploaders: Ove Kaaven <ovek@arcticnet.no>,
            Markus Wanner <markus@bluegap.ch>,
            Dr. Tobias Quathamer <toddy@debian.org>
@@ -17,9 +18,10 @@
                libopenscenegraph-dev (>= 3.2.0~) [armel armhf],
                libudns-dev,
                libutfcpp-dev,
+               netbase,
                zlib1g-dev
-Standards-Version: 4.1.4
-Homepage: http://www.simgear.org/
+Standards-Version: 4.2.0
+Homepage: http://www.flightgear.org/
 Vcs-Browser: https://salsa.debian.org/debian/simgear
 Vcs-Git: https://salsa.debian.org/debian/simgear.git
