=== debian/rules ===
--- 
+++ 
@@ -52,3 +52,7 @@
 
 get-orig-source:
 	uscan --download-current-version --verbose --rename
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
