## simgear 2018.3.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,6 +32,7 @@
 
 # only relevant for building shared libs but let's set it regardless
 set(CMAKE_OSX_RPATH 1)
+set(CMAKE_OSX_DEPLOYMENT_TARGET "10.9" CACHE STRING "Minimum OS X deployment version")
 
 # let's use & require C++11 - note these are only functional with CMake 3.1
 # we do manual fallbacks for CMake 3.0 in the compilers section
@@ -44,12 +45,7 @@
 
 project(SimGear VERSION ${SIMGEAR_VERSION} LANGUAGES C CXX)
 
-# using 10.7 because boost requires libc++ and 10.6 doesn't include it
-# Cmake documentation says we must set this before calling project(), but
-# it only seems to be picked up setting it /after/ the call to project()
-set(CMAKE_OSX_DEPLOYMENT_TARGET "10.7")
-
-# add a dependency on the versino file
+# add a dependency on the version file
 set_property(DIRECTORY APPEND PROPERTY CMAKE_CONFIGURE_DEPENDS version)
 
 set_property(GLOBAL PROPERTY FIND_LIBRARY_USE_LIB64_PATHS TRUE)
@@ -126,7 +122,7 @@
 option(ENABLE_GDAL      "Set to ON to build SimGear with GDAL support" OFF)
 option(ENABLE_TESTS     "Set to OFF to disable building SimGear's test applications" ON)
 option(ENABLE_SOUND     "Set to OFF to disable building SimGear's sound support" ON)
-option(USE_AEONWAVE     "Set to ON to use AeonWave instead of OpenAL" OFF)
+option(USE_AEONWAVE     "Set to ON to use AeonWave instead of OpenAL" ON)
 option(ENABLE_PKGUTIL   "Set to ON to build the sg_pkgutil application (default)" ON)
 option(ENABLE_DNS       "Set to ON to use udns library and DNS service resolver" ON)
 option(ENABLE_SIMD      "Enable SSE/SSE2 support for x86 compilers" ON)
@@ -167,14 +163,22 @@
 if (MSVC AND MSVC_3RDPARTY_ROOT)
   message(STATUS "3rdparty files located in ${MSVC_3RDPARTY_ROOT}")
 
+  string(SUBSTRING ${MSVC_VERSION} 0 2 MSVC_VERSION_MAJOR)
+  string(SUBSTRING ${MSVC_VERSION} 2 2 MSVC_VERSION_MINOR)
+
   set( OSG_MSVC "msvc" )
-  if (${MSVC_VERSION} EQUAL 1900)
+  if (${MSVC_VERSION_MAJOR} EQUAL "19")
+    if (${MSVC_VERSION_MINOR} EQUAL "00")
       set( OSG_MSVC ${OSG_MSVC}140 )
-  elseif (${MSVC_VERSION} EQUAL 1800)
-      set( OSG_MSVC ${OSG_MSVC}120 )
+    else ()
+      set( OSG_MSVC ${OSG_MSVC}141 )
+    endif ()
+  elseif (${MSVC_VERSION_MAJOR} EQUAL "18")
+    set( OSG_MSVC ${OSG_MSVC}120 )
   else ()
-      message(FATAL_ERROR "Visual Studio 2013/2015 is required now")
+    message(FATAL_ERROR "Visual Studio 2013/15/17 is required")
   endif ()
+
   if (CMAKE_CL_64)
       set( OSG_MSVC ${OSG_MSVC}-64 )
       set( MSVC_3RDPARTY_DIR 3rdParty.x64 )
@@ -194,11 +198,8 @@
     message(STATUS "BOOST_INCLUDEDIR is ${BOOST_INCLUDEDIR}")
   endif()
 
-  if (NOT USE_AEONWAVE)
-    set (OPENAL_INCLUDE_DIR ${MSVC_3RDPARTY_ROOT}/${MSVC_3RDPARTY_DIR}/include)
-    set (OPENAL_LIBRARY_DIR ${MSVC_3RDPARTY_ROOT}/${MSVC_3RDPARTY_DIR}/lib)
-    message(STATUS "OPENAL_INCLUDE_DIR is ${OPENAL_INCLUDE_DIR}")
-  endif()
+  set (OPENAL_INCLUDE_DIR ${MSVC_3RDPARTY_ROOT}/${MSVC_3RDPARTY_DIR}/include)
+  set (OPENAL_LIBRARY_DIR ${MSVC_3RDPARTY_ROOT}/${MSVC_3RDPARTY_DIR}/lib)
 endif (MSVC AND MSVC_3RDPARTY_ROOT)
 
 if(APPLE)
@@ -222,12 +223,19 @@
 
     if (ENABLE_SOUND)
         if (USE_AEONWAVE)
-            find_package(AAX COMPONENTS aax REQUIRED)
-        else()
+            find_package(AAX)
+        endif()
+
+        if(NOT AAX_FOUND)
+            set(USE_AEONWAVE FALSE)
             find_package(OpenAL REQUIRED)
         endif()
 
-        message(STATUS "Sound support: ENABLED")
+        if(AAX_FOUND)
+            message(STATUS "Sound support: AeonWave")
+        else()
+            message(STATUS "Sound support: OpenAL")
+        endif()
     endif(ENABLE_SOUND)
 
     find_package(OpenSceneGraph 3.2.0 REQUIRED osgText osgSim osgDB osgParticle osgGA osgViewer osgUtil)
@@ -303,8 +311,3 @@
 check_function_exists(rint HAVE_RINT)
 check_function_exists(mkdtemp HAVE_MKDTEMP)
 check_function_exists(bcopy HAVE_BCOPY)
-check_function_exists(mmap HAVE_MMAP)
-
-if (NOT MSVC)
-  check_function_exists(timegm HAVE_TIMEGM)
-  if (NOT HAVE_TIMEGM)
