=== debian/changelog ===
simgear (1:2018.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.3.1+dfsg
  * Refresh patches

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 07 Dec 2018 22:58:59 +0100

simgear (1:2018.2.2+dfsg-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Markus Wanner ]
  * Update homepage to use https protocol and point to home.flightgear.org
  * Replace disable_dns_test.patch with a more general
    disable_network_test.patch, keep building test binaries.
    Closes: #913381.
  * Bump S-V to 4.2.1: no changes required.
  * Extend the spelling fixes patch.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 11 Nov 2018 15:35:28 +0100
